%define anolis_release 2

Name:       beakerlib
Summary:    A shell-level integration testing library
Version:    1.29.3
Release: %{anolis_release}%{dist}
License:    GPLv2
BuildArch:  noarch
URL:        https://github.com/%{name}
Autoreq:    0
Requires:   nfs-utils
Requires:   /bin/bash
Requires:   /bin/sh
Recommends: /usr/bin/python3
Requires:   /usr/bin/python
Recommends: /usr/bin/perl
Requires:   (wget or curl)
Suggests:   wget
Recommends: python3-lxml
Recommends: /usr/bin/xmllint
Requires:   grep
Requires:   sed
Requires:   iproute
Requires:   coreutils
Requires:   tar
Requires:   gzip
Requires:   util-linux
Requires:   which
Requires:   dnf-utils

BuildRequires: /usr/bin/pod2man
BuildRequires: perl-generators
BuildRequires: util-linux
BuildRequires: make

Source0: 	https://github.com/beakerlib/beakerlib/archive/refs/tags/%{version}.tar.gz
Source1:    %{name}-tmpfiles.conf

Patch0: python3.patch

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -N

%patch0 -p1

%build
make build

%install
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%{!?_tmpfilesdir: %global _tmpfilesdir %{_prefix}/lib/tmpfiles.d/}
rm -rf $RPM_BUILD_ROOT
make PKGDOCDIR=%{_pkgdocdir} DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_tmpfilesdir}
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_tmpfilesdir}/%{name}.conf

%description
The BeakerLib project means to provide a library of various helpers, which
could be used when writing operating system level integration tests.

%generate_compatibility_deps

%files
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/xslt-templates
%{_datadir}/%{name}/dictionary.vim
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/xslt-templates/*
%{_bindir}/%{name}-*
%{_mandir}/man1/%{name}*1*
%config %{_tmpfilesdir}/%{name}.conf

%package vim-syntax
Summary: Files for syntax highlighting BeakerLib tests in VIM editor
Requires: vim-common
BuildRequires: vim-common
BuildRequires: make

%description vim-syntax
Files for syntax highlighting BeakerLib tests in VIM editor

%dir %{abidir}
%{abidir}/%{name}-*-option.list

%files vim-syntax
%{_datadir}/vim/vimfiles/after/ftdetect/beakerlib.vim
%{_datadir}/vim/vimfiles/after/syntax/beakerlib.vim

%files doc
%doc README.md
%doc %{_pkgdocdir}/*

%changelog
* Wed Dec 27 2023 happy_orange <songnannan@linux.alibaba.com> - 1.29.3-2
- fix the source error

* Tue Mar 21 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 1.29.3-1
- Init package from upstream
